Duplicate Site

Duplicates an existing site with all its content and configuration.

Authentication

x-api-keystring
API key authentication. Accepts either: - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ) - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

siteIdstringRequiredformat: "uuid"
The site ID for the site you are duplicating.

Request

This endpoint expects an object.
namestringRequired
The name for the duplicated site.

Response

Returns the newly created duplicated site.
objectenum
The type of the object
Allowed values:
idstringformat: "uuid"
namestring
The site name.
hostOriginstring or nullformat: "uri"
The public URL where your site is hosted. This is the URL that Makeswift uses to render your site for editing.
publicApiKeystringformat: "uuid"
The publishable API key that a host can use to get page and component data for rendering your site.
defaultLocalestring
The primary locale of this site.

Errors